%define anolis_release 1
%global pypi_name soundfile
%global pypi_version 0.12.1

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        An audio library based on libsndfile, CFFI and NumPy

License:        BSD 3-Clause License
URL:            https://github.com/bastibe/python-soundfile
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(cffi) >= 1
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)
BuildRequires:  libsndfile-devel

%description
Soundfile python module can read and write sound files and represent audio data as NumPy arrays.


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(cffi) >= 1
Requires:       python3dist(numpy)
Requires:       libsndfile-devel

%description -n python3-%{pypi_name}
Soundfile python module can read and write sound files and represent audio data as NumPy arrays.

%package -n python-%{pypi_name}-doc
Summary:        soundfile documentation
%description -n python-%{pypi_name}-doc
Documentation for soundfile

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build
PYTHONPATH=${PWD} sphinx-build-3 doc html
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/_soundfile.py
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE

%changelog
* Thu Oct 26 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 0.12.1-1
- Initial package